org.gradle.platform.base

## Interface LibraryBinaryDependencySpec

- All Superinterfaces:
    DependencySpec

      @Incubating
      public interface LibraryBinaryDependencySpec
      extends DependencySpec

  A dependency onto a specific binary of a library published by a project.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLibraryName()` Returns the name of the library this dependency refers to.
    `String` | `getProjectPath()` Returns the project path of the project this dependency refers to.
    `String` | `getVariant()` Returns the variant of this binary.

    - ### Methods inherited from interface org.gradle.platform.base.DependencySpec

      `getDisplayName`

- - ### Method Detail

    - #### getProjectPath

          String getProjectPath()

      Returns the project path of the project this dependency refers to.
      Returns:
        the project path

    - #### getLibraryName

          String getLibraryName()

      Returns the name of the library this dependency refers to. If null, it should be assumed that the project defines a single library.
      Returns:
        the library name

    - #### getVariant

          String getVariant()

      Returns the variant of this binary.
      Returns:
        the library variant